#
# spec file for package perl-XString
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-XString
Version:        0.005
Release:        1.23
%define cpan_name XString
Summary:        Isolated String helpers from B
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.87
%{perl_requires}

%description
XString provides the B string helpers in one isolated package. Right now
only cstring and perlstring are available.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README
%license LICENSE

%changelog
* Wed Oct 21 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.005
  see /usr/share/doc/packages/perl-XString/Changes
  0.005     2020-10-20 11:56:46-06:00 America/Denver
  Add compatibility with Perl 5.8
  0.004     2020-10-20 10:56:52-06:00 America/Denver
  Remove unneeded module deps.
  0.003     2020-10-20 09:30:01-06:00 America/Denver
  Fix cstring for Perl 5.32
* Fri Oct 16 2020 Dirk Stoecker <opensuse@dstoecker.de>
- Created
